#/bin/bash

#Zebra
#Dell MD1200 Fan Silencing Script.
#MD1200 must be connected to a serial port using a Dell Password Reset Cable.
#P/N CT109 0MN657 


#set TTY Flags
stty -F /dev/ttyS1 38400 raw -echoe -echok -echoctl -echoke

#Run 12 times, sleeping 5 seconds in between (total runtime: 1 min)
#Comment the for loop out if you only want to run once. I set it to run for 1 min so I could crontab it.
for i in $(seq 1 12)
do

	#Change the value   vv   here to set fan percentage
	echo -e -n '_shutup 15\r' > /dev/ttyS1
        sleep 5
done
